import 'package:twipe_flutter_core/utils/controller/collection_controller.dart';

class ControllerManager {
  static Map<String, dynamic> _collectionController = {};
  static Future<void>
      registerCollectionController<T extends CollectionController>(
          T collectionController) async {
    await collectionController.setup();
  }

  static void unregisterController(String controllerId) {
    if (_collectionController.containsKey(controllerId)) {
      _collectionController.remove(controllerId);
    }
  }

  static T getCollectionController<T extends CollectionController>(
      String controllerId) {
    return _collectionController[controllerId] as T;
  }
}
